﻿## History of changes for WinPython-64bit 3.7.6.0



The following changes were made to WinPython-64bit distribution since version 3.7.4.1.



### Tools



Upgraded packages:



  * [Nodejs](https://nodejs.org) v10.16.3 → v12.13.0 (a JavaScript runtime built on Chrome's V8 JavaScript engine)

  * [npmjs](https://www.npmjs.com/) 6.9.0 → 6.12.0 (a package manager for JavaScript)



### Python packages



New packages:



  * [aiofiles](https://pypi.org/project/aiofiles) 0.4.0 (File support for asyncio.)

  * [aiosqlite](https://pypi.org/project/aiosqlite) 0.11.0 (asyncio bridge to the standard sqlite3 module)

  * [altair_data_server](https://pypi.org/project/altair_data_server) 0.3.0 (A background data server for Altair charts.)

  * [altair_transform](https://pypi.org/project/altair_transform) 0.2.0 (A python engine for evaluating Altair transforms.)

  * [aniso8601](https://pypi.org/project/aniso8601) 8.0.0 (A library for parsing ISO 8601 strings.)

  * [async_generator](https://pypi.org/project/async_generator) 1.10 (Async generators and context managers for Python 3.5+)

  * [bcrypt](https://pypi.org/project/bcrypt) 3.1.6 (Modern password hashing for your software and your servers)

  * [blinker](https://pypi.org/project/blinker) 1.4 (Fast, simple object-to-object and broadcast signaling)

  * [cachetools](https://pypi.org/project/cachetools) 4.0.0 (Extensible memoizing collections and decorators)

  * [click_default_group](https://pypi.org/project/click_default_group) 1.2.2 (Extends click.Group to invoke a command without explicit subcommand name)

  * [cryptography](https://pypi.org/project/cryptography) 2.8 (cryptography is a package which provides cryptographic recipes and primitives to Python developers)

  * [databases](https://pypi.org/project/databases) 0.2.6 (Async database support for Python.)

  * [datasette](https://pypi.org/project/datasette) 0.32 (A tool for exploring and publishing data)

  * [flask_accepts](https://pypi.org/project/flask_accepts) 0.15.5 (Easy, opinionated Flask input/output handling mixing Marshmallow with Flask-RESTplus)

  * [flask_restplus](https://pypi.org/project/flask_restplus) 0.13.0 (Fully featured framework for fast, easy and documented API development with Flask)

  * [flaskerize](https://pypi.org/project/flaskerize) 0.12.0 (Python CLI build/dev tool for templated code generation and project modification. Think Angular schematics for Python.)

  * [fs](https://pypi.org/project/fs) 2.4.11 (Python's filesystem abstraction layer)

  * [google_auth](https://pypi.org/project/google_auth) 1.10.0 (Google Authentication Library)

  * [google_auth_oauthlib](https://pypi.org/project/google_auth_oauthlib) 0.4.1 (Google Authentication Library)

  * [h11](https://pypi.org/project/h11) 0.9.0 (A pure-Python, bring-your-own-I/O implementation of HTTP/1.1)

  * [h2](https://pypi.org/project/h2) 3.1.1 (HTTP/2 framing layer for Python)

  * [hpack](https://pypi.org/project/hpack) 3.0.0 (Pure-Python HPACK header compression)

  * [hupper](https://pypi.org/project/hupper) 1.9.1 (Integrated process monitor for developing and reloading daemons.)

  * [hypercorn](https://pypi.org/project/hypercorn) 0.9.0+dev (A ASGI Server based on Hyper libraries and inspired by Gunicorn.)

  * [hyperframe](https://pypi.org/project/hyperframe) 5.2.0 (HTTP/2 framing layer for Python)

  * [marshmallow](https://pypi.org/project/marshmallow) 3.3.0 (A lightweight library for converting complex datatypes to and from native Python datatypes.)

  * [multidict](https://pypi.org/project/multidict) 4.7.2 (multidict implementation)

  * [oauthlib](https://pypi.org/project/oauthlib) 3.1.0 (A generic, spec-compliant, thorough implementation of the OAuth request-signing logic)

  * [opt_einsum](https://pypi.org/project/opt_einsum) 3.1.0 (Optimizing numpys einsum function)

  * [paramiko](https://pypi.org/project/paramiko) 2.7.1 (SSH2 protocol library)

  * [pathspec](https://pypi.org/project/pathspec) 0.6.0 (Utility library for gitignore style pattern matching of file paths.)

  * [pint](https://pypi.org/project/pint) 0.9 (Physical quantities module)

  * [ply](https://pypi.org/project/ply) 3.11 (Python Lex & Yacc)

  * [portpicker](https://pypi.org/project/portpicker) 1.3.1 (A library to choose unique available network ports.)

  * [priority](https://pypi.org/project/priority) 1.3.0 (A pure-Python implementation of the HTTP/2 priority tree)

  * [pyasn1](https://pypi.org/project/pyasn1) 0.4.8 (ASN.1 types and codecs)

  * [pyasn1_modules](https://pypi.org/project/pyasn1_modules) 0.2.7 (A collection of ASN.1-based protocols modules)

  * [pynacl](https://pypi.org/project/pynacl) 1.3.0 (Python binding to the Networking and Cryptography (NaCl) library)

  * [python_jsonrpc_server](https://pypi.org/project/python_jsonrpc_server) 0.3.2 (JSON RPC 2.0 server library)

  * [python_language_server](https://pypi.org/project/python_language_server) 0.31.2 (An implementation of the Language Server Protocol for Python)

  * [quart](https://pypi.org/project/quart) 0.10.0 (A Python ASGI web microframework with the same API as Flask)

  * [requests_oauthlib](https://pypi.org/project/requests_oauthlib) 1.3.0 (OAuthlib authentication support for Requests.)

  * [rsa](https://pypi.org/project/rsa) 4.0 (Pure-Python RSA implementation)

  * [tensorflow_cpu](https://pypi.org/project/tensorflow_cpu) 2.1.0rc1 (TensorFlow is an open source machine learning framework for everyone.)

  * [uvicorn](https://pypi.org/project/uvicorn) 0.10.8 (The lightning-fast ASGI server.)

  * [websockets](https://pypi.org/project/websockets) 8.1 (An (asyncio) implementation of the WebSocket Protocol (RFC 6455 & 7692))

  * [wsproto](https://pypi.org/project/wsproto) 0.15.0 (WebSockets state-machine based protocol implementation)



Upgraded packages:



  * [absl_py](https://pypi.org/project/absl_py) 0.8.0 → 0.9.0 (Abseil Python Common Libraries)

  * [adodbapi](https://pypi.org/project/adodbapi) 2.6.0.7 → 2.6.1.3 (A pure Python package implementing PEP 249 DB-API using Microsoft ADO.)

  * [altair](https://pypi.org/project/altair) 3.2.0 → 4.0.0 (High-level declarative visualization library for Python)

  * [asteval](https://pypi.org/project/asteval) 0.9.15 → 0.9.18 (Safe, minimalistic evaluator of python expression using ast module)

  * [astor](https://pypi.org/project/astor) 0.8.0 → 0.8.1 (Read/rewrite/write Python ASTs)

  * [astroid](https://pypi.org/project/astroid) 2.2.5 → 2.3.3 (Rebuild a new abstract syntax tree from Python's ast (required for pylint))

  * [astroml](https://pypi.org/project/astroml) 0.4.post1 → 0.4.1 (tools for machine learning and data mining in Astronomy)

  * [astropy](https://pypi.org/project/astropy) 3.2.1 → 4.0 (Community-developed python astronomy tools)

  * [attrs](https://pypi.org/project/attrs) 19.1.0 → 19.3.0 (Classes Without Boilerplate)

  * [beautifulsoup4](https://pypi.org/project/beautifulsoup4) 4.8.0 → 4.8.1 (Screen-scraping library)

  * [black](https://pypi.org/project/black) 19.3b0 → 19.10b0 (The uncompromising code formatter.)

  * [bokeh](https://pypi.org/project/bokeh) 1.3.4 → 1.4.0 (Statistical and novel interactive HTML plots for Python)

  * [bottleneck](https://pypi.org/project/bottleneck) 1.2.1 → 1.3.1 (Fast NumPy array functions written in Cython)

  * [bqplot](https://pypi.org/project/bqplot) 0.11.8 → 0.12.1 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [certifi](https://pypi.org/project/certifi) 2019.9.11 → 2019.11.28 (Python package for providing Mozilla's CA Bundle.)

  * [cffi](https://pypi.org/project/cffi) 1.12.3 → 1.13.2 (Foreign Function Interface for Python calling C code.)

  * [cftime](https://pypi.org/project/cftime) 1.0.3.4 → 1.0.4.2 (time-handling functionality from netcdf4-python)

  * [cloudpickle](https://pypi.org/project/cloudpickle) 1.2.1 → 1.2.2 (Extended pickling support for Python objects)

  * [colorama](https://pypi.org/project/colorama) 0.4.1 → 0.4.3 (Cross-platform colored terminal text)

  * [cython](https://pypi.org/project/cython) 0.29.13 → 0.29.14 (Cython is a language that makes writing C extensions for the Python language as easy as Python)

  * [cytoolz](https://pypi.org/project/cytoolz) 0.10.0 → 0.10.1 (Cython implementation of Toolz: High performance functional utilities)

  * [dask](https://pypi.org/project/dask) 2.4.0 → 2.9.0 (Minimal task scheduling abstraction)

  * [datashader](https://pypi.org/project/datashader) 0.7.0 → 0.9.0 (Data visualization toolchain based on aggregating into a grid)

  * [decorator](https://pypi.org/project/decorator) 4.4.0 → 4.4.1 (Better living through Python with decorators)

  * [deprecated](https://pypi.org/project/deprecated) 1.2.6 → 1.2.7 (Python @deprecated decorator to deprecate old python classes, functions or methods.)

  * [dill](https://pypi.org/project/dill) 0.3.0 → 0.3.1.1 (serialize all of python (almost))

  * [distributed](https://pypi.org/project/distributed) 2.4.0 → 2.9.0 (Distributed computing)

  * [emcee](https://pypi.org/project/emcee) 2.2.1 → 3.0.2 (Kick ass affine-invariant ensemble MCMC sampling)

  * [fiona](https://pypi.org/project/fiona) 1.8.6 → 1.8.13 (reads and writes spatial data files)

  * [fsspec](https://pypi.org/project/fsspec) 0.4.4 → 0.6.2 (File-system specification)

  * [future](https://pypi.org/project/future) 0.17.0 → 0.18.2 (Clean single-source support for Python 3 and 2)

  * [gdal](https://pypi.org/project/gdal) 3.0.1 → 3.0.2 (Geospatial Data Abstraction Library)

  * [geographiclib](https://pypi.org/project/geographiclib) 1.49 → 1.50 (The geodesic routines from GeographicLib)

  * [geopandas](https://pypi.org/project/geopandas) 0.6.0rc1 → 0.6.2 (Geographic pandas extensions)

  * [geoviews](https://pypi.org/project/geoviews) 1.6.3 → 1.6.5 (Stop plotting your data - annotate your data and let it visualize itself... on a map!)

  * [google_pasta](https://pypi.org/project/google_pasta) 0.1.7 → 0.1.8 (pasta is an AST-based Python refactoring library)

  * [grpcio](https://pypi.org/project/grpcio) 1.23.0 → 1.25.0 (HTTP/2-based RPC framework)

  * [heapdict](https://pypi.org/project/heapdict) 1.0.0 → 1.0.1 (a heap with decrease-key and increase-key operations)

  * [holoviews](https://pypi.org/project/holoviews) 1.12.5 → 1.12.7 (Composable, declarative data structures for building complex visualizations easily.)

  * [hvplot](https://pypi.org/project/hvplot) 0.4.0 → 0.5.2 (A high-level plotting API for pandas, dask, streamz and xarray built on HoloViews)

  * [hypothesis](https://pypi.org/project/hypothesis) 4.35.0 → 4.53.3 (A library for property based testing)

  * [imageio](https://pypi.org/project/imageio) 2.5.0 → 2.6.1 (Library for reading and writing a wide range of image, video, scientific, and volumetric data formats.)

  * [imbalanced_learn](https://pypi.org/project/imbalanced_learn) 0.5.0 → 0.6.1 (Toolbox for imbalanced dataset in machine learning.)

  * [importlib_metadata](https://pypi.org/project/importlib_metadata) 0.23 → 1.3.0 (Read metadata from Python packages)

  * [intake](https://pypi.org/project/intake) 0.5.3 → 0.5.4 (Data input plugin and catalog system)

  * [ipykernel](https://pypi.org/project/ipykernel) 5.1.2 → 5.1.3 (IPython Kernel for Jupyter)

  * [ipyleaflet](https://pypi.org/project/ipyleaflet) 0.11.2 → 0.11.6 (A Jupyter widget for dynamic Leaflet maps)

  * [ipympl](https://pypi.org/project/ipympl) 0.3.3 → 0.4.0 (Matplotlib Jupyter Extension)

  * [ipython](https://pypi.org/project/ipython) 7.8.0 → 7.10.2 (Enhanced Python shell)

  * [jedi](https://pypi.org/project/jedi) 0.15.1 → 0.15.2 (An autocompletion tool for Python that can be used for text editors)

  * [jinja2](https://pypi.org/project/jinja2) 2.10.1 → 2.10.3 (Sandboxed template engine (provides a Django-like non-XML syntax and compiles templates into executable python code))

  * [joblib](https://pypi.org/project/joblib) 0.13.2 → 0.14.1 (Lightweight pipelining: using Python functions as pipeline jobs.)

  * [jsonschema](https://pypi.org/project/jsonschema) 3.0.2 → 3.2.0 (An implementation of JSON Schema validation for Python)

  * [julia](https://pypi.org/project/julia) 0.4.1 → 0.5.0 (Python interface to the Julia language)

  * [jupyter_client](https://pypi.org/project/jupyter_client) 5.3.3 → 5.3.4 (Jupyter protocol implementation and client libraries)

  * [jupyter_core](https://pypi.org/project/jupyter_core) 4.5.0 → 4.6.1 (Jupyter core package. A base package on which Jupyter projects rely.)

  * [jupyter_sphinx](https://pypi.org/project/jupyter_sphinx) 0.2.1 → 0.2.3 (Jupyter Sphinx Extensions)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 1.1.4 → 1.2.4 (Jupyter lab environment notebook server extension)

  * [keras](https://pypi.org/project/keras) 2.3.0 → 2.3.1 (Theano-based Deep Learning library)

  * [keyring](https://pypi.org/project/keyring) 19.2.0 → 20.0.0 (Store and access your passwords safely.)

  * [lazy_object_proxy](https://pypi.org/project/lazy_object_proxy) 1.4.2 → 1.4.3 (A fast and thorough lazy object proxy.)

  * [llvmlite](https://pypi.org/project/llvmlite) 0.29.0 → 0.30.0 (lightweight wrapper around basic LLVM functionality)

  * [lmfit](https://pypi.org/project/lmfit) 0.9.14 → 1.0.0 (Least-Squares Minimization with Bounds and Constraints)

  * [lxml](https://pypi.org/project/lxml) 4.4.1 → 4.4.2 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [matplotlib](https://pypi.org/project/matplotlib) 3.1.1 → 3.2.0rc2 (2D plotting library (embeddable in GUIs created with PyQt))

  * [more_itertools](https://pypi.org/project/more_itertools) 7.2.0 → 8.0.2 (More routines for operating on iterables, beyond itertools)

  * [moviepy](https://pypi.org/project/moviepy) 1.0.0 → 1.0.1 (Video editing with Python)

  * [msgpack](https://pypi.org/project/msgpack) 0.6.1 → 0.6.2 (MessagePack (de)serializer.)

  * [multiprocess](https://pypi.org/project/multiprocess) 0.70.8 → 0.70.9 (better multiprocessing and multithreading in python)

  * [munch](https://pypi.org/project/munch) 2.3.2 → 2.5.0 (A dot-accessible dictionary (a la JavaScript objects).)

  * [mypy](https://pypi.org/project/mypy) 0.720 → 0.761 (Optional static typing for Python)

  * [mypy_extensions](https://pypi.org/project/mypy_extensions) 0.4.1 → 0.4.3 (Experimental type system extensions for programs checked with the mypy typechecker.)

  * [mysql_connector_python](https://pypi.org/project/mysql_connector_python) 8.0.16 → 8.0.18 (MySQL driver written in Python)

  * [nbconvert](https://pypi.org/project/nbconvert) 5.6.0 → 5.6.1 (Converting Jupyter Notebooks)

  * [netcdf4](https://pypi.org/project/netcdf4) 1.5.2 → 1.5.3 (Provides an object-oriented python interface to the netCDF version 4 library)

  * [networkx](https://pypi.org/project/networkx) 2.3 → 2.4 (Python package for creating and manipulating graphs and networks)

  * [notebook](https://pypi.org/project/notebook) 6.0.1 → 6.0.2 (# Jupyter Notebook)

  * [numba](https://pypi.org/project/numba) 0.45.1 → 0.46.0 (compiling Python code using LLVM)

  * [numcodecs](https://pypi.org/project/numcodecs) 0.6.3 → 0.6.4 (buffer compression and transformation codecs for use in data storage and communication applications)

  * [numpy](https://pypi.org/project/numpy) 1.16.5+mkl → 1.17.4+mkl (NumPy: multidimensional array processing for numbers, strings, records and objects (SciPy''s core module))

  * [osqp](https://pypi.org/project/osqp) 0.5.0 → 0.6.1 (the Operator Splitting QP Solver.)

  * [palettable](https://pypi.org/project/palettable) 3.2.0 → 3.3.0 (Color palettes for Python)

  * [pandas](https://pypi.org/project/pandas) 0.25.1 → 0.25.3 (Powerful data structures for data analysis, time series and statistics)

  * [pandas_datareader](https://pypi.org/project/pandas_datareader) 0.7.4 → 0.8.1 (Data readers extracted from the pandas codebase,should be compatible with recent pandas versions)

  * [panel](https://pypi.org/project/panel) 0.6.3 → 0.7.0 (A high-level Python toolkit for composing widgets and plots)

  * [papermill](https://pypi.org/project/papermill) 1.1.0 → 1.2.1 (Parametrize and Run Jupyter Notebooks)

  * [param](https://pypi.org/project/param) 1.9.1 → 1.9.2 (Declarative Python programming using Parameters.)

  * [parso](https://pypi.org/project/parso) 0.5.1 → 0.5.2 (A Python Parser)

  * [partd](https://pypi.org/project/partd) 1.0.0 → 1.1.0 (Appendable key-value storage)

  * [pillow](https://pypi.org/project/pillow) 6.1.0 → 6.2.1 (Python Imaging Library (fork))

  * [pip](https://pypi.org/project/pip) 19.2.3 → 19.3.1 (A tool for installing and managing Python packages)

  * [pluggy](https://pypi.org/project/pluggy) 0.12.0 → 0.13.1 (plugin and hook calling mechanisms for python)

  * [portalocker](https://pypi.org/project/portalocker) 1.5.1 → 1.5.2 (Wraps the portalocker recipe for easy usage)

  * [prompt_toolkit](https://pypi.org/project/prompt_toolkit) 2.0.9 → 2.0.10 (Library for building powerful interactive command lines in Python)

  * [protobuf](https://pypi.org/project/protobuf) 3.9.1 → 3.11.2 (Protocol Buffers - Google's data interchange format)

  * [psutil](https://pypi.org/project/psutil) 5.6.3 → 5.6.7 (Provides an interface for retrieving information on all running processes and system utilization (CPU, disk, memory, network) in a portable way)

  * [ptpython](https://pypi.org/project/ptpython) 2.0.4 → 2.0.6 (Python REPL build on top of prompt_toolkit)

  * [pyarrow](https://pypi.org/project/pyarrow) 0.14.0 → 0.15.1 (Python library for Apache Arrow)

  * [pybars3](https://pypi.org/project/pybars3) 0.9.6 → 0.9.7 (Handlebars.js templating for Python 3 and 2)

  * [pybind11](https://pypi.org/project/pybind11) 2.3.0 → 2.4.3 (Seamless operability between C++11 and Python)

  * [pygments](http://pygments.org) 2.4.2 → 2.5.2 (Generic syntax highlighter for general use in all kinds of software)

  * [pyhdf](https://pypi.org/project/pyhdf) 0.10.1 → 0.10.2 (Python interface to HDF4 files (Hierarchical Data Format version 4))

  * [pylint](https://pypi.org/project/pylint) 2.3.1 → 2.4.4 (Logilab code analysis module: analyzes Python source code looking for bugs and signs of poor quality)

  * [pymongo](https://pypi.org/project/pymongo) 3.9.0 → 3.10.0 (Python driver for MongoDB <http://www.mongodb.org>)

  * [pyopengl](https://pypi.org/project/pyopengl) 3.1.3b2 → 3.1.4 (Cross platform Python binding to OpenGL and related APIs)

  * [pyparsing](https://pypi.org/project/pyparsing) 2.4.2 → 2.4.5 (A Python Parsing Module)

  * [pyproj](https://pypi.org/project/pyproj) 2.2.2 → 2.4.2.post1 (Python interface to PROJ.4 library)

  * [pyqt5](http://www.riverbankcomputing.co.uk/software/pyqt/intro) 5.13.1 → 5.14.0 (Python bindings for the Qt cross platform GUI toolkit)

  * [pyqt5_sip](https://pypi.org/project/pyqt5_sip) 4.19.19 → 12.7.0 (Python extension module support for PyQt5)

  * [pyqtwebengine](https://pypi.org/project/pyqtwebengine) 5.13.1 → 5.14.0 (Python bindings for the Qt 3D framework)

  * [pyrsistent](https://pypi.org/project/pyrsistent) 0.15.4 → 0.15.6 (Persistent/Functional/Immutable data structures)

  * [pytest](https://pypi.org/project/pytest) 5.1.2 → 5.3.2 (pytest: simple powerful testing with Python)

  * [Python](http://www.python.org/) 3.7.4 → 3.7.6 (Python programming language with standard library)

  * [python_dateutil](https://pypi.org/project/python_dateutil) 2.8.0 → 2.8.1 (Powerful extensions to the standard datetime module)

  * [pytz](https://pypi.org/project/pytz) 2019.2 → 2019.3 (World Timezone Definitions for Python)

  * [pywavelets](https://pypi.org/project/pywavelets) 1.0.3 → 1.1.1 (Wavelet transforms module)

  * [pywin32](https://pypi.org/project/pywin32) 225 → 227 (Python library for Windows)

  * [pywinpty](https://pypi.org/project/pywinpty) 0.5.5 → 0.5.7 (Python bindings for the winpty library)

  * [pyyaml](https://pypi.org/project/pyyaml) 5.1.2 → 5.2 (YAML parser and emitter for Python)

  * [pyzmq](https://pypi.org/project/pyzmq) 18.1.0 → 18.1.1 (Lightweight and super-fast messaging based on ZeroMQ library (required for IPython Qt console))

  * [qtconsole](https://pypi.org/project/qtconsole) 4.5.5 → 4.6.0 (Jupyter Qt console)

  * [quantecon](https://pypi.org/project/quantecon) 0.4.5 → 0.4.6 (A community based Python library for quantitative economics)

  * [rasterio](https://pypi.org/project/rasterio) 1.0.27 → 1.1.2 (Fast and direct raster I/O for use with Numpy and SciPy)

  * [redis](https://pypi.org/project/redis) 3.3.8 → 3.3.11 (Python client for Redis key-value store)

  * [regex](https://pypi.org/project/regex) 2019.8.19 → 2019.12.20 (Alternative regular expression module, to replace re.)

  * [reportlab](https://pypi.org/project/reportlab) 3.5.23 → 3.5.32 (The PDF generation library)

  * [rise](https://pypi.org/project/rise) 5.5.1 → 5.6.0 (Live Reveal.js Jupyter/IPython Slideshow Extension)

  * [rtree](https://pypi.org/project/rtree) 0.8.3 → 0.9.3 (R-Tree spatial index for Python GIS)

  * [ruamel.yaml.clib](https://pypi.org/project/ruamel.yaml.clib) 0.1.2 → 0.2.0 (C version of reader, parser and emitter for ruamel.yaml derived from libyaml)

  * [scikit_image](https://pypi.org/project/scikit_image) 0.15.0 → 0.16.2 (Image processing toolbox for SciPy)

  * [scikit_learn](https://pypi.org/project/scikit_learn) 0.21.3 → 0.22 (A set of Python modules for machine learning and data mining)

  * [scipy](https://pypi.org/project/scipy) 1.3.1 → 1.4.1 (SciPy: Scientific Library for Python (advanced math, signal processing, optimization, statistics, ...))

  * [setuptools](https://pypi.org/project/setuptools) 41.2.0 → 42.0.2 (Download, build, install, upgrade, and uninstall Python packages - easily)

  * [simplejson](https://pypi.org/project/simplejson) 3.16.0 → 3.17.0 (Simple, fast, extensible JSON (JavaScript Object Notation) encoder/decoder)

  * [six](https://pypi.org/project/six) 1.12.0 → 1.13.0 (Python 2 and 3 compatibility utilities)

  * [snowballstemmer](https://pypi.org/project/snowballstemmer) 1.9.1 → 2.0.0 (This package provides 16 stemmer algorithms (15 + Poerter English stemmer) generated from Snowball algorithms.)

  * [snuggs](https://pypi.org/project/snuggs) 1.4.6 → 1.4.7 (Snuggs are s-expressions for Numpy)

  * [sounddevice](https://pypi.org/project/sounddevice) 0.3.13 → 0.3.14 (Play and Record Sound with Python)

  * [soupsieve](https://pypi.org/project/soupsieve) 1.9.3 → 1.9.5 (A CSS4 selector implementation for Beautiful Soup.)

  * [sphinx](https://pypi.org/project/sphinx) 2.2.0 → 2.3.0 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sqlalchemy](https://pypi.org/project/sqlalchemy) 1.3.8 → 1.3.12 (SQL Toolkit and Object Relational Mapper)

  * [statsmodels](https://pypi.org/project/statsmodels) 0.10.1 → 0.10.2 (Statistical computations and models for use with SciPy)

  * [swifter](https://pypi.org/project/swifter) 0.292 → 0.297 (efficiently applies any function to a pandas dataframe or series in the fastest available manner)

  * [sympy](https://pypi.org/project/sympy) 1.4 → 1.5 (Symbolic Mathematics Library)

  * [tables](https://pypi.org/project/tables) 3.5.2 → 3.6.1 (Package based on HDF5 library for managing hierarchical datasets (extremely large amounts of data))

  * [tblib](https://pypi.org/project/tblib) 1.4.0 → 1.6.0 (Traceback serialization library.)

  * [tenacity](https://pypi.org/project/tenacity) 5.1.1 → 6.0.0 (Retry code until it succeeeds)

  * [tensorboard](https://pypi.org/project/tensorboard) 1.14.0 → 2.1.0 (TensorBoard lets you watch Tensors Flow)

  * [tensorflow_estimator](https://pypi.org/project/tensorflow_estimator) 1.14.0 → 2.1.0 (TensorFlow Estimator.)

  * [tensorflow_probability](https://pypi.org/project/tensorflow_probability) 0.7.0 → 0.8.0 (Probabilistic modeling and statistical inference in TensorFlow)

  * [terminado](https://pypi.org/project/terminado) 0.8.2 → 0.8.3 (Terminals served to term.js using Tornado websockets)

  * [testpath](https://pypi.org/project/testpath) 0.4.2 → 0.4.4 (Test utilities for code working with files and commands)

  * [thrift](https://pypi.org/project/thrift) 0.11.0 → 0.13.0 (a software framework for scalable cross-language services development)

  * [torch](https://pypi.org/project/torch) 1.2.0+cpu → 1.3.0+cpu (a deep learning framework.)

  * [torchvision](https://pypi.org/project/torchvision) 0.4.0+cpu → 0.4.1+cpu (Datasets, Transforms and Models specific to Computer Vision)

  * [tqdm](https://pypi.org/project/tqdm) 4.36.1 → 4.41.0 (A Simple Python Progress Meter)

  * [traitlets](https://pypi.org/project/traitlets) 4.3.2 → 4.3.3 (Traitlets Python config system)

  * [twine](https://pypi.org/project/twine) 1.15.0 → 3.1.1 (Collection of utilities for interacting with PyPI)

  * [typing_extensions](https://pypi.org/project/typing_extensions) 3.7.4 → 3.7.4.1 (Backported and Experimental Type Hints for Python 3.5+)

  * [urllib3](https://pypi.org/project/urllib3) 1.25.5 → 1.25.7 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [vega_datasets](https://pypi.org/project/vega_datasets) 0.7.0 → 0.8.0 (A Python package for offline access to Vega datasets)

  * [voila](https://pypi.org/project/voila) 0.1.11 → 0.1.20 (Serving read-only live Jupyter notebooks)

  * [winpython](http://winpython.github.io/) 2.1.20190921 → 2.2.20191222 (WinPython distribution tools, including WPPM (package manager))

  * [wordcloud](https://pypi.org/project/wordcloud) 1.5.0 → 1.6.0 (A little word cloud generator)

  * [xarray](https://pypi.org/project/xarray) 0.13.0 → 0.14.1 (N-D labeled arrays and datasets in Python)

  * [xlsxwriter](https://pypi.org/project/xlsxwriter) 1.2.0 → 1.2.6 (A Python module for creating Excel XLSX files.)

  * [xlwings](https://pypi.org/project/xlwings) 0.15.9 → 0.16.4 (Interact with Excel from Python and vice versa)



Removed packages:



  * [mock](https://pypi.org/project/mock) 3.0.5 (Rolling backport of unittest.mock for all Pythons)

  * [pypiwin32](https://pypi.org/project/pypiwin32) 223+dummy ()

  * [tensorflow](https://pypi.org/project/tensorflow) 1.14.0 (TensorFlow helps the tensors flow)



* * *

